Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.i18n
Class ComplexResourceBundleFactory

    java.lang.Object
      org.jboss.portal.common.i18n.ComplexResourceBundleFactory

All Implemented Interfaces:
  ResourceBundleFactory

    public class ComplexResourceBundleFactory

extends java.lang.Object
implements ResourceBundleFactory

Version:
  $Revision: 7374 $
Author:
  Julien Viet

Constructor Summary
`ComplexResourceBundleFactory(java.lang.ClassLoader resourceLoader, java.lang.String baseName)`

Method Summary
`java.util.ResourceBundle` | `getBundle(java.util.Locale locale)` Returns a resource bundle for the specified locale, it may be an expensive operation.
`protected java.util.ResourceBundle` | `lookup(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexResourceBundleFactory

    public ComplexResourceBundleFactory(java.lang.ClassLoader resourceLoader,
                                        java.lang.String baseName)

Method Detail

### getBundle

    public java.util.ResourceBundle getBundle(java.util.Locale locale)
                                       throws java.lang.IllegalArgumentException

  Description copied from interface: `ResourceBundleFactory`
  Returns a resource bundle for the specified locale, it may be an expensive operation.

  Specified by:
    `getBundle` in interface `ResourceBundleFactory`
  Parameters:
    `locale` - the locale for the resource bundle
  Returns:
    a resource bundle for the locale or null if no such bundle can be obtained
  Throws:
    `java.lang.IllegalArgumentException` - if the locale is null

### lookup

    protected java.util.ResourceBundle lookup(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.